Bug 975253 - Application was deleted after a few moments of uptime: --from-code git://github.com/a-boy/openshift-glassfish4.git
Application was deleted after a few moments of uptime: --from-code git://git...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 19:19 EDT by Nam Duong
Modified: 2015-05-14 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 20:10:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
errors from gear's server.log (53.19 KB, text/x-log)
2013-06-18 00:03 EDT, Rajat Chopra
no flags Details

  None (edit)
Description Nam Duong 2013-06-17 19:19:30 EDT
Description of problem:
When creating an app based on this --from-code git://github.com/a-boy/openshift-glassfish4.git, the application gets created and runs for several moments before it gets automatically deleted:  
rhc app-create glassfish diy-0.1 --from-code git://github.com/a-boy/openshift-glassfish4.git  


This was reported in the forums:  
https://www.openshift.com/forums/openshift/my-glassfish4-diy-application-was-auto-deleted-after-running-a-few-moment-why  


Oddly enough, if you break the app creation into the following steps, it runs fine with 0 errors:  
rhc app-create glassfish diy-0.1
cd glassfish
git remote add upstream -m master git://github.com/a-boy/openshift-glassfish4.git
git pull -s recursive -X theirs upstream master
git push -f

Maybe something about this repo?
Comment 1 Rajat Chopra 2013-06-18 00:03:20 EDT
Created attachment 762287 [details]
errors from gear's server.log

The attached errors were observed and the post-configure hook returned with 'node error'.
Comment 2 Dan McPherson 2013-06-18 20:10:42 EDT
This is currently a limitation of --from-code.  If your app can't deploy in < 4 mins it's not going to work with --from-code.

Note You need to log in before you can comment on or make changes to this bug.